aboutsummaryrefslogtreecommitdiff
path: root/package/gcc/Config.in.host
diff options
context:
space:
mode:
authorGravatar Mischa Jonker <mischa.jonker@synopsys.com>2013-07-18 23:47:52 +0200
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2013-07-19 11:53:21 +0200
commit381654d8a84072baf6742dd8697d65e3a55a5ef5 (patch)
treee0bf524913a37de9dbbf12de914565f612882703 /package/gcc/Config.in.host
parent983dd6426e7ed0df54c1e38d74bd6578b80d8e7b (diff)
downloadbuildroot-381654d8a84072baf6742dd8697d65e3a55a5ef5.tar.gz
buildroot-381654d8a84072baf6742dd8697d65e3a55a5ef5.tar.bz2
arc: gcc: Go from 4.4.7 to 4.8 for ARC
This fixes multiple issues, including: - 'operand out of range' errors (due to defaulting to medium calls instead of short calls) - library dependencies that were not being found Signed-off-by: Mischa Jonker <mjonker@synopsys.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'package/gcc/Config.in.host')
-rw-r--r--package/gcc/Config.in.host13
1 files changed, 7 insertions, 6 deletions
diff --git a/package/gcc/Config.in.host b/package/gcc/Config.in.host
index 972f81fdb1..c49b8ed0e4 100644
--- a/package/gcc/Config.in.host
+++ b/package/gcc/Config.in.host
@@ -7,15 +7,11 @@ choice
prompt "GCC compiler Version"
default BR2_GCC_VERSION_4_4_X if BR2_sparc_sparchfleon || BR2_sparc_sparchfleonv8 || BR2_sparc_sparcsfleon || BR2_sparc_sparcsfleonv8
default BR2_GCC_VERSION_4_2_2_AVR32_2_1_5 if BR2_avr32
- default BR2_GCC_VERSION_4_4_7_ARC if BR2_arc
+ default BR2_GCC_VERSION_4_8_ARC if BR2_arc
default BR2_GCC_VERSION_4_7_X
help
Select the version of gcc you wish to use.
- config BR2_GCC_VERSION_4_4_7_ARC
- depends on BR2_arc
- bool "gcc 4.4.7-arc"
-
config BR2_GCC_VERSION_4_2_2_AVR32_2_1_5
depends on BR2_avr32
bool "gcc 4.2.2-avr32-2.1.5"
@@ -55,6 +51,11 @@ choice
select BR2_GCC_NEEDS_MPC
bool "gcc 4.8.x"
+ config BR2_GCC_VERSION_4_8_ARC
+ depends on BR2_arc
+ select BR2_GCC_NEEDS_MPC
+ bool "gcc 4.8-arc"
+
config BR2_GCC_VERSION_SNAP
depends on !BR2_arc && !BR2_avr32 && !BR2_sparc_sparchfleon && !BR2_sparc_sparchfleonv8 && !BR2_sparc_sparcsfleon && !BR2_sparc_sparcsfleonv8
select BR2_GCC_NEEDS_MPC
@@ -84,11 +85,11 @@ config BR2_GCC_VERSION
default "4.2.2-avr32-2.1.5" if BR2_GCC_VERSION_4_2_2_AVR32_2_1_5
default "4.3.6" if BR2_GCC_VERSION_4_3_X
default "4.4.7" if BR2_GCC_VERSION_4_4_X
- default "4.4.7-arc" if BR2_GCC_VERSION_4_4_7_ARC
default "4.5.4" if BR2_GCC_VERSION_4_5_X
default "4.6.4" if BR2_GCC_VERSION_4_6_X
default "4.7.3" if BR2_GCC_VERSION_4_7_X
default "4.8.1" if BR2_GCC_VERSION_4_8_X
+ default "4.8-arc" if BR2_GCC_VERSION_4_8_ARC
default $BR2_GCC_SNAP_DATE if BR2_GCC_VERSION_SNAP
config BR2_EXTRA_GCC_CONFIG_OPTIONS